package me.hammerle.supersnuvi.entity.components;

import me.hammerle.supersnuvi.entity.Entity;

public class Movement extends Component
{
    public final static Movement NULL = new Movement(null);
    
    public Movement(Entity ent) 
    {
        super(ent);
    }
    
    //--------------------------------------------------------------------------
    // stuff for e.g. crumbling stones
    //--------------------------------------------------------------------------
    
    public boolean canMoveEverywhere()
    {
        return false;
    }
    
    public boolean useCollisionBox() 
    {
        return false;
    }
    
    public boolean blockHorizontal() 
    {
        return false;
    } 
    
    //--------------------------------------------------------------------------
    // jumping
    //--------------------------------------------------------------------------
    
    public boolean jump()
    {
        return false;
    }
    
    public double getJumpPower()
    {
        return 0.0;
    }
    
    //--------------------------------------------------------------------------
    // gravity
    //--------------------------------------------------------------------------
    
    public boolean isAffectedByGravity()
    {
        return false;
    }
    
    public double getGravityFactor()
    {
        return 1.0;
    }
}
